## org.plovr.docgen
Class LibraryDescriptor

    java.lang.Object
      org.plovr.docgen.LibraryDescriptor

All Implemented Interfaces:
  Descriptor

    public class LibraryDescriptor

extends Object
implements Descriptor

Nested Class Summary
`static class` `LibraryDescriptor.Builder`

Constructor Summary
`LibraryDescriptor(String name, String description, List<MethodDescriptor> methods)`

Method Summary
`static LibraryDescriptor.Builder` `builder()`
`String` `getDescription()`
`String` `getName()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryDescriptor

    public LibraryDescriptor(String name,
                             String description,
                             List<MethodDescriptor> methods)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Descriptor`

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`

### builder

    public static LibraryDescriptor.Builder builder()